| Home | Libraries | People | FAQ | More

## Struct template make_list

boost::intrusive::make_list

## Synopsis

    // In header: <boost/intrusive/list.hpp>

    template<typename T, class... Options>
    struct make_list {
      // types
      typedef implementation_defined type;
    };

## Description

Helper metafunction to define a `list` that yields to the same type when the same options (either explicitly or implicitly) are used.